lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'mtree/version'

Gem::Specification.new do |spec|
  spec.name          = 'mtree'
  spec.version       = Mtree::VERSION
  spec.authors       = ['Romain Tartière']
  spec.email         = ['romain@opus-codium.org']

  spec.summary       = 'Manage a directory hierarchy'
  spec.description   = 'This is a ruby utility and library providing the mtree(1) features found on BSDs.'
  spec.homepage      = 'https://github.com/opus-codium/mtree'
  spec.license       = 'MIT'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'racc'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'simplecov'
end
